%global realname meck
%global upstream eproxus


Name:		erlang-%{realname}
Version:        0.9.2
Release:        %mkrel 1
BuildArch:	noarch
Summary:        A mocking library for Erlang
Group:          Development/Erlang
License:        ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-meck-0001-Workaround-for-Rebar-2.x.patch
BuildRequires:	erlang-hamcrest
BuildRequires:  erlang-rebar
# FIXME - calls to unexported cover:compile_beam/2, cover:get_term/1,
# cover:write/2


%description
With meck you can easily mock modules in Erlang. Since meck is intended to be
used in testing, you can also perform some basic validations on the mocked
modules, such as making sure no function is called in a way it should not.


%prep
%autosetup -p1 -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test -C test.config}


%files
%license LICENSE
%doc README.md NOTICE
%{erlang_appdir}/


%changelog
* Sun Aug 07 2022 neoclust <neoclust> 0.9.2-1.mga9
+ Revision: 1876055
- New version 0.9.2

* Fri Apr 01 2022 umeabot <umeabot> 0.9.0-2.mga9
+ Revision: 1838546
- Mageia 9 Mass Rebuild

* Sun Dec 20 2020 wally <wally> 0.9.0-1.mga8
+ Revision: 1661735
- new version 0.9.0
- sync patches with Fedora
- make pkg noarch

* Wed Feb 12 2020 umeabot <umeabot> 0.8.12-3.mga8
+ Revision: 1511376
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 wally <wally> 0.8.12-2.mga7
+ Revision: 1296499
- rebuild for failing tests on i586
- new version 0.8.12 (sync with Fedora)

* Fri May 06 2016 neoclust <neoclust> 0.8.4-4.mga6
+ Revision: 1009756
- Rebuild post boostrap
- imported package erlang-meck

